<?php 
/*
 * Copyright (C) 2001-2002 Caldera International, Inc.  All Rights Reserved.
 */

	$_ADDITIONAL_HEADERS = '';
	$_TITLEICON = 'main_ico_deletedomain.gif';
	$_TITLEGRAPHIC = 'main_title_deletedomain.gif';
	$_BUTTON_HELP = true;
	$_BUTTON_HELP_LINK = 'return Help(\'a_domaindelete\')';

	$dom = new Domain($domain);
	if ($dom == '') {
		$_DOMAIN = $domain;
		$lnav = new LNav();
		$lnav->add(getIntlMsg('MSG_LNAV_VIEWALL'),
			'return Overwrite(\'domainbrowse.php\')');
		$_LOCALNAV = $lnav->render();
		$_DIALOG_CONTENT = File::parseFile('./admin/content/domainnonesuch.php');
		$_DIALOG_CONTENT .= "\n" . DomainDropList::disable();
		$_ACTIVE_AREA = File::parseFile('./admin/template/dialog.html');

		return;
	}

	if ($dom->description !== '') {
		$_DOMAIN = getIntlMsg('MSG_DOMAINS_DOMAIN_WITH_DESC', 
			$dom->domain, $dom->description);
	} else {
		$_DOMAIN = $dom->domain;
	}

	$result = $dom->delete();
	if ($result) {
		$_TITLE = '';
		$_MESSAGE = getIntlMsg('MSG_DOMAINS_DELETE_SUCCESS', $_DOMAIN);

		$lnav = new LNav();
		if ($apath == 'a') {
			$lnav->add(getIntlMsg('MSG_LNAV_DELETEANOTHER'),
				'return Back()');
		}
		$lnav->add(getIntlMsg('MSG_LNAV_VIEWALL'),
			'return Overwrite(\'domainbrowse.php\')');
		$_LOCALNAV = $lnav->render();

		$_DIALOG_CONTENT = File::parseFile('./admin/content/action_complete.php');
		$_DIALOG_CONTENT .= "\n" . DomainDropList::disable();    
		$_ACTIVE_AREA = File::parseFile('./admin/template/dialog.html');

	} else {

		$_TITLE   = '';
		$_MESSAGE = getIntlMsg('MSG_DOMAINS_DELETE_FAILURE');
		$_ERRORS  = stdErrorMsg($LAST_ERROR, $LAST_ERROR_EXIT);
		$_BUTTON_RETRY = true;
		$_BUTTON_RETRY_LINK = 'return Back()';

		$_DIALOG_CONTENT = File::parseFile('./admin/content/action_error.php');
		$_DIALOG_CONTENT .= "\n" . DomainDropList::disable();    
		$_ACTIVE_AREA = File::parseFile('./admin/template/dialog.html');
	}
?>
