<?php 
/*
 * Copyright (C) 2002 Caldera International, Inc.  All Rights Reserved.
 */

	$_ADDITIONAL_HEADERS = '';
	$_TITLEICON = 'main_ico_licenses.gif';
	$_TITLEGRAPHIC = 'main_title_licensedelete.gif';
	$_BUTTON_HELP = true;
	$_BUTTON_HELP_LINK = 'return Help(\'a_licenses\')';

	$license = new License($serial);
	if ($license == '') {
		gotoURL("licensebrowse.php?serial=$_SERIAL");
		return;
	}

	$tmpSerial = $license->getSerial();
	$tmpDesc = $license->getDescription();

	$result = $license->delete();
	if ($result) {
		$_TITLE = '';

		$_MESSAGE = getIntlMsg('MSG_LICENSE_DELETE_SUCCESS',
				$tmpDesc, $tmpSerial);

		$lnav = new LNav();
		$lnav->add(getIntlMsg('MSG_LNAV_VIEW_LICENSES'),
			'return Overwrite(\'licensebrowse.php\')');
		$lnav->add(getIntlMsg('MSG_LNAV_DELETEANOTHER'),
			'return Back()');
		$_LOCALNAV = $lnav->render();

		$_DIALOG_CONTENT = File::parseFile('./admin/content/action_complete.php');
		$_DIALOG_CONTENT .= "\n" . DomainDropList::disable();    
		$_ACTIVE_AREA = File::parseFile('./admin/template/dialog.html');

	}  else {
		$_TITLE   = '';
		$_MESSAGE = getIntlMsg('MSG_LICENSE_DELETE_FAILURE', $tmpSerial);
		$_ERRORS  = stdErrorMsg($LAST_ERROR, $LAST_ERROR_EXIT);
		$_BUTTON_RETRY = true;
		$_BUTTON_RETRY_LINK = 'return Overwrite(\'licenseadd.php\')';

		$_DIALOG_CONTENT = File::parseFile('./admin/content/action_error.php');
		$_DIALOG_CONTENT .= "\n" . DomainDropList::disable();    
		$_ACTIVE_AREA = File::parseFile('./admin/template/dialog.html');
	}
?>
