%define	pdir	MIME
%define	pnam	tools
%define	_examplesdir	/usr/src/examples
Summary:	MIME::tools perl module
Summary(pl):	Modu perla MIME::tools
Name:		perl-MIME-tools
Version:	5.411
Release:	1sco
License:	GPL
Vendor:         SCO
Distribution:   SCO Linux Powered By UnitedLinux
Packager:       Ronald Joe Record <rr@sco.com>
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6.1
#BuildRequires:	perl(File::Path) >= 1
#BuildRequires:	perl(File::Spec) >= 0.6
BuildRequires:	perl-MailTools >= 1.05
BuildRequires:	perl-MIME-Base64 >= 2.04
#BuildRequires:	perl(MIME::QuotedPrint) >= 2.03
BuildRequires:	perl-IO-stringy >= 1.211
#BuildRequires:	rpm-perlprov >= 3.0.3-18
BuildArch:	noarch
BuildRoot:	/var/tmp/%{name}-%{version}-root-%(id -u -n)

%description
MIME::tools - modules for parsing (and creating!) MIME entities.

%description -l pl
MIME::tools - zestaw moduw do operacji na danych w formacie MIME.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install DESTDIR=$RPM_BUILD_ROOT \
    PREFIX=$RPM_BUILD_ROOT/usr \
    SITEPREFIX=$RPM_BUILD_ROOT/usr

install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README*
%{perl_sitelib}/MIME/*.pm
%{perl_sitelib}/MIME/Parser
%{perl_sitelib}/MIME/Decoder
%{perl_sitelib}/MIME/Field
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* Wed Sep 18 2002 Ronald Joe Record <rr@sco.com>
- Adapted for use on SCO Linux

* Tue Sep 17 2002 PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-MIME-tools.spec,v $
Revision 1.27  2002/07/20 15:39:39  kloczek
- release 6.

Revision 1.26  2002/07/20 10:21:11  qboosh
- new %%doc, added versions to BRs

Revision 1.25  2002/07/10 08:47:56  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.24  2002/05/11 14:28:09  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.23  2002/02/25 10:33:05  depesz
cleanup; revision++

Revision 1.22  2002/02/22 23:29:29  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.21  2002/02/13 14:18:45  depesz
automatic: Source location unfied, Relase Up

Revision 1.20  2002/02/10 15:28:56  depesz
adapterized

Revision 1.19  2002/01/18 02:14:21  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.18  2001/11/28 15:20:19  mis
- buildarch noarch; release++

Revision 1.17  2001/10/06 06:01:22  kloczek
- release 2: rebuilded.

Revision 1.16  2001/06/06 16:33:40  mis
- autoupdated to 5.411

Revision 1.15  2001/04/17 12:12:08  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.14  2001/04/14 18:00:08  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.13  2001/02/19 09:49:26  depesz
-new version

Revision 1.12  2001/01/11 02:00:52  kloczek
- release 2: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.11  2000/12/05 11:15:17  yaro
- added MIME/Parser directory

Revision 1.10  2000/11/29 16:43:45  wiget
5.408

Revision 1.9  2000/08/23 01:44:48  kloczek
- updated to 5.311.

Revision 1.8  2000/06/09 07:54:54  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:40  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/21 20:11:42  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:20  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:55  baggins
- translated kloczkish into english

Revision 1.3  2000/02/19 22:55:49  pius
- updated to 4.124

Revision 1.2  1999/11/05 21:11:56  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:44  pius
- initial release
