%define name perl-Mcrypt
%define real_name Mcrypt
%define version 2.4.8.2
%define release 2
%define archive %real_name-%version.tar.gz
%define instdir /var/tmp/msg

Name: 		%name
Version: 	%version
Release: 	%release

Summary: 	Perl Mcrypt module
Summary(pt_BR):	Perl Mcrypt
Summary(es): 	Perl Mcrypt

Group: 		Libraries
Group(pt_BR): 	Bibliotecas
Group(es): 	Bibliotecas

License: 	Artistic
Source: 	http://theoryx5.uwinnipeg.ca/scripts/CPAN/authors/id/J/JE/JESUS/%archive
BuildRoot: 	%{_tmppath}/%{name}-%{version}
BuildPrereq: 	libmcrypt
Requires: 	libmcrypt
Requires: 	perl >= 5.6.0


%Description
This module provides Mcrypt

%Description -l pt_BR
Mdulo Perl para Mcrypt

%Description -l es
This modules provides Mcrypt

%Prep
%setup -q -n %{real_name}-%{version}

%Build
rm -rf %{buildroot}
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL
make
#make test

%Install
mkdir -p %{buildroot}
DESTDIR=%{buildroot}

eval `perl '-V:sitearch'`
eval `perl '-V:installprefix'`
eval `perl '-V:installstyle'`
eval `perl '-V:installman1dir'`
eval `perl '-V:installman3dir'`

PREFIX=$DESTDIR
PLOCAL=$installprefix/$installstyle/perllocal

mkdir -p $PREFIX/$sitearch
mkdir -p $PREFIX/$PLOCAL

make PREFIX=$PREFIX%{_prefix} install \
INSTALLMAN1DIR=$PREFIX$installman1dir \
INSTALLMAN3DIR=$PREFIX$installman3dir

#Get the file "perllocal.pod" location
mv `find $PREFIX -type f -print | grep perllocal.pod` perllocal.pod
perl -pi -e "s@$PREFIX@@g" perllocal.pod
echo $PLOCAL/%{name}-perllocal.pod > podfile_full.lst

cp perllocal.pod $PREFIX/$PLOCAL/%{name}-perllocal.pod
cp podfile_full.lst $PREFIX/$PLOCAL/%{name}-podfile_full.lst

# gzip man pages
find $PREFIX/$installman3dir $PREFIX/$installman1dir -type f -print | xargs gzip

# create file list
#find $DESTDIR%{_prefix} -type f -print | sed "s@^$DESTDIR@@g" | grep -v perllocal.pod > %{real_name}-%{version}-filelist
find $PREFIX -type f -print | sed "s@^$PREFIX@@g" > %{real_name}-%{version}-filelist

%Clean 
rm -rf %{buildroot}

%Files -f %{real_name}-%{version}-filelist
%defattr(0644,root,root,0755)

%Post
# update pod - adjusts the date too
eval `perl '-V:installprefix'`
eval `perl '-V:installstyle'`
PLOCAL=$installprefix/$installstyle/perllocal
perl -p -e '$t=localtime;s@(^=head2 ).*(:.*)$@$1$t$2@' $PLOCAL/%{name}-perllocal.pod >> `perl -p -e '' $PLOCAL/%{name}-podfile_full.lst`

%Changelog
