#!/usr/bin/perl
#
# Copyright (C) 2001 Caldera International, Inc.  All Rights Reserved.
#

use CGI;
#use FileHandle;
#use IPC::Open2;

my $conf = '/etc/opt/lsb-sco.com/msg/msg.conf';
my @tmp = split(":", `grep BIN $conf`);
my $BIN = $tmp[1];
chomp $BIN;
my @tmp = split(":", `grep "TMP:" $conf`);
my $TMP = $tmp[1];
chomp $TMP;

# Get/Set defaults
my $pgpath = $ENV{SCRIPT_NAME}; # start with the script location
$pgpath =~ s/(\/\w+)\/.*/$1/;   # get only first directory
$pgpath .= '/pg.php';		# assume pg.php lives there

my $q = new CGI;

my $err = 0;
my $uid = $q->param("uid") || $err++;
my $sid = $q->param("sid") || $err++;
my $key = $q->param("key") || $err++;
my $lang = $q->param("lang");

#Perl is not handling the cookie value ending with '=', drops it
#my $key = $q->cookie('session_key');

# Check user input for validity before passing on to
# the system call
unless ($sid =~ m/^([\w]*)$/) { $err++; }
unless ($uid =~ m/^([a-zA-Z0-9._-]*)$/) { $err++; }
unless ($key =~ m/^([\w]*)$/) { $err++; }
if ($lang ne '') {
	unless ($lang =~ m/^([\w._-]*)$/) { $err++; }
}

if ($err > 0) {
	print "Location: $pgpath/action_error.php\n\n";
	exit 0;
}

my $sessionFile = "$TMP/sess_$sid";

#print "Content-Disposition: attachment;\n\n";
print "Content-Type: application/x-msdownload\n\n";

if ($lang ne '') {
	$ENV{'LANG'} = $lang;
}

if ($key ne '') {
	$ENV{'MSGKEY'} = $key;
}

system("$BIN/msgexec $sessionFile $BIN/msggenclientconfig $uid 2>&1");

exit 0;
